Cannot build www/mod_dnssd with poudriere

Kurt Jaeger pi at opsec.eu
Tue Jan 26 18:27:25 UTC 2016


Hi!

> the module should build on apache22, but it seems upstream is
> missing a test for the apache version and includes mod_unixd.h per
> default
> 
> Can you test the following patch:
> 
> $ cd www/mod_dnssd
> $ fetch http://people.freebsd.org/~ohauer/diffs/mod_dnssd_ap22-ap24.diff
> $ patch < mod_dnssd_ap22-ap24.diff

On current/amd64, it fails.

./mod_dnssd.c:27:25: error: token is not a valid binary operator in a
      preprocessor subexpression
#if MODULE_MAGIC_COOKIE 0x41503234UL /* "AP24" */
    ~~~~~~~~~~~~~~~~~~~ ^

-- 
pi at opsec.eu            +49 171 3101372                         4 years to go !


More information about the freebsd-ports mailing list